using CookComputing.XmlRpc;
using System;

	public struct SignatureField
	{
		public int page;
		public int x;
		public int y;
	}

	public struct SignOptions
	{
		public string profile;
		public SignatureField signatureField;
		public string reason;
		public string location;
		public string signatureFormat;
	}

	public interface ISignature : IXmlRpcProxy
	{
		[XmlRpcMethod("signer.sign")]
		byte[] sign(byte[] document);

		[XmlRpcMethod("signer.signWithOptions")]
		byte[] sign(byte[] document, SignOptions options);
	}

